Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class GuiChat

    java.lang.Object
      net.minecraft.src.Gui
          net.minecraft.src.GuiScreen
              net.minecraft.src.GuiChat

Direct Known Subclasses:
  GuiSleepMP

    public class GuiChat

extends GuiScreen

Field Summary

Fields inherited from class net.minecraft.src.GuiScreen
`allowUserInput, guiParticles, height, width`

Constructor Summary
`GuiChat()`
`GuiChat(String par1Str)`

Method Summary
`void` | `completePlayerName()` Autocompletes player name
`void` | `confirmClicked(boolean par1, int par2)`
`boolean` | `doesGuiPauseGame()` Returns true if this GUI should pause the game when it is displayed in single-player
`void` | `drawScreen(int par1, int par2, float par3)` Draws the screen and all the components in it.
`void` | `func_73894_a(String[] par1ArrayOfStr)`
`void` | `getSentHistory(int par1)` input is relative and is applied directly to the sentHistoryCursor so -1 is the previous message, 1 is the next message from the current cursor position
`void` | `handleMouseInput()` Handles mouse input.
`void` | `initGui()` Adds the buttons (and other controls) to the screen in question.
`void` | `onGuiClosed()` Called when the screen is unloaded.
`void` | `updateScreen()` Called from the main game loop to update the screen.

Methods inherited from class net.minecraft.src.GuiScreen
`drawBackground, drawDefaultBackground, drawWorldBackground, getClipboardString, handleInput, handleKeyboardInput, isCtrlKeyDown, isShiftKeyDown, setClipboardString, setWorldAndResolution`

Methods inherited from class net.minecraft.src.Gui
`drawCenteredString, drawRect, drawString, drawTexturedModalRect`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GuiChat

    public GuiChat()

### GuiChat

    public GuiChat(String par1Str)

Method Detail

### initGui

    public void initGui()

  Adds the buttons (and other controls) to the screen in question.

  Overrides:
    `initGui` in class `GuiScreen`

### onGuiClosed

    public void onGuiClosed()

  Called when the screen is unloaded. Used to disable keyboard repeat events

  Overrides:
    `onGuiClosed` in class `GuiScreen`

### updateScreen

    public void updateScreen()

  Called from the main game loop to update the screen.

  Overrides:
    `updateScreen` in class `GuiScreen`

### handleMouseInput

    public void handleMouseInput()

  Handles mouse input.

  Overrides:
    `handleMouseInput` in class `GuiScreen`

### confirmClicked

    public void confirmClicked(boolean par1,
                               int par2)

  Overrides:
    `confirmClicked` in class `GuiScreen`

### completePlayerName

    public void completePlayerName()

  Autocompletes player name

### getSentHistory

    public void getSentHistory(int par1)

  input is relative and is applied directly to the sentHistoryCursor so -1 is the previous message, 1 is the next message from the current cursor position

### drawScreen

    public void drawScreen(int par1,
                           int par2,
                           float par3)

  Draws the screen and all the components in it.

  Overrides:
    `drawScreen` in class `GuiScreen`

### func_73894_a

    public void func_73894_a(String[] par1ArrayOfStr)

### doesGuiPauseGame

    public boolean doesGuiPauseGame()

  Returns true if this GUI should pause the game when it is displayed in single-player

  Overrides:
    `doesGuiPauseGame` in class `GuiScreen`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD